<?php

if (!function_exists('__')) {

  function __($str, $domain) {
    return $str;
  }

}

if (!function_exists('putDefaultOptions')) {

  function putDefaultOptions($db, $options) {
    $row = array();
    foreach ($options as $k => $o) {
      $row[$k] = $o['value'];
    }
    $rowDB = $db->getMetaData('options_meta');
    $row = array_merge($row, $rowDB);
    $db->putMetaData('options_meta', $row);
  }

}

if (!function_exists('randString')) {

  function randString($len = 32) {
    $chars = 'abcdefghijklmnopqrstuvwxyz';
    $chars .= strtoupper($chars) . '0123456789';
    $charLen = strlen($chars) - 1;
    $string = '';
    for ($i = 0; $i < $len; $i++) {
      $pos = rand(0, $charLen);
      $string .= $chars[$pos];
    }
    return $string;
  }

}

$options = array();
$options['salt'] = array('name' => __('DB Security Salt', 'php-validator'),
    'type' => 'hidden',
    'value' => randString(),
    'help' => __('Not visible to the end user', 'php-validator'));

$options['show_source'] = array('name' => __('Show Source', 'php-validator'),
    'type' => 'checkbox',
    'value' => true,
    'help' => __('Show the autogenerated source code that is used for detecting undefined functions and methods. Useful only for debugging.', 'php-validator'));

$options['show_defined'] = array('name' => __('Show Defined Functions', 'php-validator'),
    'type' => 'checkbox',
    'value' => false,
    'help' => __('By default, PHP Psuedo Compiler shows only undefined functions and methods. Check this option to view defined ones as well.', 'php-validator'));

$options['show_tokens'] = array('name' => __('Show Detected Tokens', 'php-validator'),
    'type' => 'checkbox',
    'value' => false,
    'help' => __('If you want to see the functions and methods detected from the files, enable this option. It is useful for debugging purposes.', 'php-validator'));

